%global momorel 1

Summary: Library for handling OpenType fonts
Name: libotf
Version: 0.9.8
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.m17n.org/libotf/
Group: System Environment/Libraries
Source0: http://www.m17n.org/libotf/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: freetype-devel
BuildRequires: libX11-devel
BuildRequires: pkgconfig

%description
The library "libotf" provides the following facilites:
- Read Open Type Layout Tables from OTF file (currently supported tables are:
  head, name, cmap, GDEF, GSUB, and GPOS)
- Convert a Unicode character sequence to a glyph code sequence by using the
  above tables.

The combination of libotf and the FreeType library realizes CTL (Complex Text
Layout) by OpenType fonts.*

%package tools
Summary: Utilities of OpenType library
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}

%description	tools
Example tool from libotf.

%package devel
Summary: Development files for libotf
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Headers of libotf for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/libotf.so.*

%files tools
%defattr(-,root,root)
%{_bindir}/otfdump
%{_bindir}/otflist
%{_bindir}/otftobdf
%{_bindir}/otfview

%files devel
%defattr(-,root,root)
%{_bindir}/libotf-config
%{_includedir}/otf.h
%{_libdir}/pkgconfig/libotf.pc
%{_libdir}/libotf.a
%{_libdir}/libotf.so

%changelog
* Sat Jul  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.8-1m)
- version 0.9.8

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.7-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-2m)
- %%NoSource -> NoSource

* Sat Dec 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.7-1m)
- version 0.9.7

* Sun Jul 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.6-1m)
- version 0.9.6

* Mon Apr  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.5-1m)
- import from cooker

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.5-1mdv2007.0
+ Revision: 106765
- Import libotf

* Thu Dec 07 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.5-1mdv2007.1
- new release

* Wed Nov 16 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.4-1mdk
- new release

* Wed Feb 09 2005 Abel Cheung <deaddog@mandrake.org> 0.9.3-3mdk
- Another BuildRequires fix

* Sat Feb 05 2005 Abel Cheung <deaddog@mandrake.org> 0.9.3-2mdk
- Fix BuildRequires
- Examples can be useful, thus rename to libotf-tools
  (similar to freetype2-tools)
- Move libotf-config to devel subpackage

* Tue Dec 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.3-1mdk
- new release

* Tue Nov 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- fix description
- fix libification
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
